<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\DI\Metadata;

final class ServiceAlias
{
    public function __construct(
        private readonly string $alias,
        private readonly string $target
    ) {}

    public function alias(): string { return $this->alias; }
    public function target(): string { return $this->target; }

    public function toArray(): array
    {
        return ['alias' => $this->alias, 'target' => $this->target];
    }
}
